langcode: en
status: true
dependencies:
  config:
    - field.field.paragraph.cern_header_frame.field_p_header_block_background
    - field.field.paragraph.cern_header_frame.field_p_header_block_bg_color
    - field.field.paragraph.cern_header_frame.field_p_header_block_bg_image
    - field.field.paragraph.cern_header_frame.field_p_header_block_bg_video
    - field.field.paragraph.cern_header_frame.field_p_header_block_bread_color
    - field.field.paragraph.cern_header_frame.field_p_header_block_breadcrumbs
    - field.field.paragraph.cern_header_frame.field_p_header_block_link
    - field.field.paragraph.cern_header_frame.field_p_header_block_slide_timer
    - field.field.paragraph.cern_header_frame.field_p_header_block_subti_color
    - field.field.paragraph.cern_header_frame.field_p_header_block_subtitle
    - field.field.paragraph.cern_header_frame.field_p_header_block_title
    - field.field.paragraph.cern_header_frame.field_p_header_block_title_color
    - paragraphs.paragraphs_type.cern_header_frame
  module:
    - color_field
    - content_moderation
    - field_group
    - link
    - paragraphs
    - text
third_party_settings:
  field_group:
    group_p_header_block_color:
      children:
        - field_p_header_block_title_color
        - field_p_header_block_subti_color
        - field_p_header_block_bread_color
      parent_name: group_content_and_configuration
      weight: 6
      format_type: details
      format_settings:
        id: ""
        classes: ""
        open: false
        required_fields: true
      label: "Color settings"
      region: hidden
    group_p_headeblock_bg_settings:
      children:
        - field_p_header_block_background
      parent_name: group_content_and_configuration
      weight: 5
      format_type: details
      format_settings:
        id: ""
        classes: ""
        open: false
        required_fields: true
      label: "Background settings"
      region: hidden
    group_content_and_configuration:
      children:
        - field_p_header_block_title
        - field_p_header_block_subtitle
        - field_p_header_block_link
        - field_p_header_block_slide_timer
        - group_p_headeblock_bg_settings
        - group_p_header_block_color
      parent_name: ""
      weight: 0
      format_type: details
      format_settings:
        id: ""
        classes: ""
        open: false
        required_fields: true
      label: "Content and configuration"
      region: hidden
id: paragraph.cern_header_frame.default
targetEntityType: paragraph
bundle: cern_header_frame
mode: default
content:
  field_p_header_block_background:
    type: entity_reference_paragraphs
    weight: 7
    settings:
      title: Paragraph
      title_plural: Paragraphs
      edit_mode: open
      add_mode: dropdown
      form_display_mode: default
      default_paragraph_type: ""
    third_party_settings: {}
    region: content
  field_p_header_block_bread_color:
    weight: 10
    settings:
      default_colors: "#0855A0\n#59ADFF\n#0D87FF\n#0A6CCC\n#2C97FF\n#128AFF\n#B26F00\n#FFA612\n#6B05EB\n#FF1248\n#E86C05\n#FFDA06\n#F2A530\n#FFCC7F\n#FFAE33\n#7F6640\n#CC8B28\n#D7D7D7\n#1C2C38\n#292929\n#FFFFFF\n#000000"
    third_party_settings: {}
    type: color_field_widget_box
    region: content
  field_p_header_block_breadcrumbs:
    weight: 8
    settings:
      display_label: true
    third_party_settings: {}
    type: boolean_checkbox
    region: content
  field_p_header_block_link:
    weight: 3
    settings:
      placeholder_url: ""
      placeholder_title: ""
    third_party_settings: {}
    type: link_default
    region: content
  field_p_header_block_slide_timer:
    weight: 4
    settings:
      placeholder: ""
    third_party_settings: {}
    type: number
    region: content
  field_p_header_block_subti_color:
    weight: 9
    settings:
      default_colors: "#0855A0,#59ADFF,#0D87FF,#2DS77F,#0A6CCC,#2C97FF,#128AFF,#B26F00,#FFA612,#6B05EB,#FF1248,#E86C05,#FFDA06,#F2A530,#FFCC7F,#FFAE33,#7F6640,#CC8B28,#D7D7D7,#1C2C38,#292929,#FFFFFF,#000000"
    third_party_settings: {}
    type: color_field_widget_box
    region: content
  field_p_header_block_subtitle:
    weight: 2
    settings:
      rows: 5
      placeholder: ""
    third_party_settings: {}
    type: text_textarea
    region: content
  field_p_header_block_title:
    weight: 1
    settings:
      size: 60
      placeholder: ""
    third_party_settings: {}
    type: string_textfield
    region: content
  field_p_header_block_title_color:
    weight: 8
    settings:
      default_colors: "#0855A0,#59ADFF,#0D87FF,#2DS77F,#0A6CCC,#2C97FF,#128AFF,#B26F00,#FFA612,#6B05EB,#FF1248,#E86C05,#FFDA06,#F2A530,#FFCC7F,#FFAE33,#7F6640,#CC8B28,#D7D7D7,#1C2C38,#292929,#FFFFFF,#000000"
    third_party_settings: {}
    type: color_field_widget_box
    region: content
  moderation_state:
    type: moderation_state_default
    weight: 100
    settings: {}
    region: content
    third_party_settings: {}
  translation:
    weight: 10
    region: content
    settings: {}
    third_party_settings: {}
hidden:
  created: true
  field_p_header_block_bg_color: true
  field_p_header_block_bg_image: true
  field_p_header_block_bg_video: true
  status: true
  uid: true
